<!doctype html>
<html lang="en">
<head>
<title>43-fixing-the-firmware-mess</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Welcome to DebConf Video Etherpad!</span><br><span class="a_BKEisk8uN4Nli5sM" title="a_BKEisk8uN4Nli5sM" style="background-color:#4dd990">Primary data is in gobby at </span><br><span class="a_BKEisk8uN4Nli5sM" title="a_BKEisk8uN4Nli5sM" style="background-color:#4dd990">$ gobby infinote://gobby.debian.org/debconf22/bof/firmware</span><br><span class="a_BKEisk8uN4Nli5sM" title="a_BKEisk8uN4Nli5sM" style="background-color:#4dd990">Comments here may be merged there afterwards</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">Accessibility for blind users etc - </span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">there really needs to be basic functionality built in without loading drivers and this needs to be communicated to hardware manufacturers</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">Intel sound firmware means that a machine with no OS is broken out of the box for blind users</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">Graphics - a basic graphics functionality needs to work at power on</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">If this is infeasible: produce images which include all firmware, load at runtime - _then_ warn that you've had to do this.</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">There's still the point that the firmware situation is forced on us: we've never been able to fix them, provide source or whatever and we're absolutely reliant on third parties to provide it.</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">That should be made clear at download of the installer on the www.debian.org page</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7">If you've installed non-free, then you should offer fwupd too</span><br><span class="a_HTqgyIBIrnwytpBM" title="a_HTqgyIBIrnwytpBM" style="background-color:#6f51f7"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
